package com.javaseleniumtemplate.tests.naocontrolaalmoxarifado;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;

import com.javaseleniumtemplate.flows.naocontrolaalmoxarifado.RecalculoDeEstoqueNaoControlaAlmoxarifadoFlows;
import com.javaseleniumtemplate.pages.MainPage;

import com.javaseleniumtemplate.pages.naocontrolaalmoxarifado.RecalculoDeEstoqueNaoControlaAlmoxarifadoPage;
import org.testng.annotations.Test;

public class RecalculoDeEstoqueNaoControlaAlmoxarifadoTests extends TestBase {
    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    RecalculoDeEstoqueNaoControlaAlmoxarifadoFlows recalculoDeEstoqueNaoControlaAlmoxarifadoFlows;
    RecalculoDeEstoqueNaoControlaAlmoxarifadoPage recalculoDeEstoqueNaoControlaAlmoxarifadoPage;


    @Test (description = "Est-46")
    public void realizarRecalculoDeEstoque(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        recalculoDeEstoqueNaoControlaAlmoxarifadoFlows = new RecalculoDeEstoqueNaoControlaAlmoxarifadoFlows();
        recalculoDeEstoqueNaoControlaAlmoxarifadoPage = new RecalculoDeEstoqueNaoControlaAlmoxarifadoPage();



        //Parameteres_lancamento
        String campoUnidade = "HELA Nao Controla Almoxarifado";
        String campoProdutoInicial = "Hela Poultry Broth Paste Clear";
        String campoProdutoFinal = "Hela Crema Di Balsamico Lemon 380Ml";



        //Rotinas
        loginFlows.efetuarLogin();
        mainFlows.AcessandoTrocaUnidadeNaoControlaAlmoxarifado();
        mainFlows.AcessandoRecalculoDeEstoque();
        recalculoDeEstoqueNaoControlaAlmoxarifadoFlows.realizarRecalculoDeEstoque(campoUnidade, campoProdutoInicial, campoProdutoFinal);

    }
}
