package com.javaseleniumtemplate.tests.naocontrolaalmoxarifado;
import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.naocontrolaalmoxarifado.MovimentacaoDeEstoqueNaoControlaAlmoxarifadoFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.naocontrolaalmoxarifado.MovimentacaoDeEstoqueNaoControlaAlmoxarifadoPage;
import org.testng.annotations.Test;

public class MovimentacaoDeEstoqueNaoControlaAlmoxarifadoTests extends TestBase {

    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    MovimentacaoDeEstoqueNaoControlaAlmoxarifadoFlows movimentacaoDeEstoqueNaoControlaAlmoxarifadoFlows;
    MovimentacaoDeEstoqueNaoControlaAlmoxarifadoPage movimentacaoDeEstoqueNaoControlaAlmoxarifadoPage;


    @Test(description = "Est-56")
    public void GerarMovimentacaoDeEstoque(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        movimentacaoDeEstoqueNaoControlaAlmoxarifadoFlows = new MovimentacaoDeEstoqueNaoControlaAlmoxarifadoFlows();
        movimentacaoDeEstoqueNaoControlaAlmoxarifadoPage = new MovimentacaoDeEstoqueNaoControlaAlmoxarifadoPage();


        //Parameteres_Lançamento:

        String descProduto = "Hela Poultry Broth Paste Clear KG";
        String descAlmoxarifado = "HELA MATRIZ";
        String descLote = "025/50";
        String descUnidade = "HELA Nao Controla Almoxarifado";
        String descTipoDeCusto = "Custo Médio Líquido Atual";


        //Rotinas:
        loginFlows.efetuarLogin();
        mainFlows.AcessandoTrocaUnidadeNaoControlaAlmoxarifado();
        mainFlows.AcessandoMovimentacaoDeEstoque();
        movimentacaoDeEstoqueNaoControlaAlmoxarifadoFlows.GerarMovimentacaoDeEstoque(descUnidade,descAlmoxarifado,descLote,descProduto);

    }

}
